Subject: Re: [PATCH v3 00/13] midx: incremental multi-pack indexes, part two

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Nov 2024 17:49:31 +0900

Taylor Blau <[email-masked]> writes:

> == Changes since last time
>
> This round fixes a small issue when writing legacy ".rev" files outside
> of the MIDX in '--incremental' mode.
>
> The rest of the series is unchanged, and re-submitted to solicit review
> now that I have more time to focus on this series.
>
> == Original cover letter
>
> This series is based on 'master', with an additional merge between
> tb/incremental-midx-part-1[1] and my newer series to fix a handful of
> bugs related to pseudo-merge bitmaps[2].

Both of these prerequisite topics were from August, so we do not
have to worry about reconstructing the base anymore ;-)  As I do not
have any trace of this topic in my tree anymore (except that I know
an earlier round that ended with "fixup! midex: implement writing"
existed in the past), we could queue this on 'maint' afresh, I
guess?

When merged to 'seen', pack-bitmap.c has conflicts with other topics
in flight and what is annoying is the lines involved in the
conflicts are rather on the overly long side.

I think I resolved them correctly, but we may want to correct these
overly long lines if a new iteration is needed in the future.

Thanks.